#ifndef _MAILPARSE_H
#define _MAILPARSE_H

typedef struct
{
    char *tmp;
    char *host;
    char *smtphost;
    char *user;
    char *name;
    char *sigfile;
    char *helo;
    short verbose;
} MAILDATA;


#ifdef __linux__
# include <stddef.h>
# define SEPC '/'
# define TEMPDIR "/tmp/"; 
# else
# ifndef offsetof
#  define offsetof(sname,fname) ((long)&((sname *)0)->fname)
# endif
# define SEPC '_'
# define TEMPDIR "ram1_";
# define strncasecmp strnicmp
# ifndef PATH_MAX
#  define PATH_MAX MAXPATHLEN
# endif
#endif

#define LUSER  "J.Random Luser"

typedef struct
{
    char *id;
    void (*func)(void *, void *,...);
    long offset;
    int  mval;
} PARSELIST;

#endif

