include /etc/ql.mak

CFLAGS = -O
LIBS = -lsocket
OBJS = qlmail.o qlmailparse.o
DISTS = Makefile mail.c mail.h mailparse.c qlmailer Makefile.ql \
	mail.dat mailer.txt mailparse.h version.h

all:	qlmailer

qlmailer: $(OBJS)
	$(CC) -o $@ $+ $(LIBS)
	qcp $@ /ql/exe/

qlmail.o qlmailparse.o: mailparse.h

qlmail.o: mail.c
	$(CC) $(CFLAGS) -c -o $@ $<

qlmailparse.o: mailparse.c
	$(CC) $(CFLAGS) -c -o $@ $<

clean:
	-rm -f $(OBJS)

realclean:	clean
	rm -f  qlmailer


